JTS Topology Suite version 1.13

## com.vividsolutions.jts.algorithm.match
Class AreaSimilarityMeasure

    java.lang.Object
      com.vividsolutions.jts.algorithm.match.AreaSimilarityMeasure

All Implemented Interfaces:
  SimilarityMeasure

    public class AreaSimilarityMeasure

extends java.lang.Object
implements SimilarityMeasure

Measures the degree of similarity between two `Geometry`s using the area of intersection between the geometries. The measure is normalized to lie in the range [0, 1]. Higher measures indicate a great degree of similarity.

NOTE: Currently experimental and incomplete.

Author:
  mbdavis

Constructor Summary
`AreaSimilarityMeasure()`

Method Summary
`double` `measure(Geometry g1, Geometry g2)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AreaSimilarityMeasure

    public AreaSimilarityMeasure()

Method Detail

### measure

    public double measure(Geometry g1,
                          Geometry g2)

  Specified by:
    `measure` in interface `SimilarityMeasure`

JTS Topology Suite version 1.13